import type { Address } from '@solana/addresses';
import type { IRpcApiMethods } from '@solana/rpc-types';
type GetIdentityApiResponse = Readonly<{
    identity: Address;
}>;
export interface GetIdentityApi extends IRpcApiMethods {
    /**
     * Returns the identity pubkey for the current node
     */
    getIdentity(NO_CONFIG?: Record<string, never>): GetIdentityApiResponse;
}
export {};
//# sourceMappingURL=getIdentity.d.ts.map